#include "RatingLabel.h"

RatingLabel::RatingLabel (int rating, QWidget *parent, Qt::WindowFlags f) : QLabel (parent,f) {
    //initialize
    filled = "images/icons/star_filled.png";
    empty = "images/icons/star_empty.png";
    layout = new QHBoxLayout();
    int i;

    if (rating > 0 && rating <= 5) {
        //set filled icons
        for (i=0;i<rating;i++) {
            QLabel *s = new QLabel();
            s->setStyleSheet("background-image: url(:/images/icons/star_filled.png);background-repeat: no-repeat; border: none;");
            layout->addWidget (s);
        }
        //set empty icons
        for (i=rating;i<5;i++) {
            QLabel *s = new QLabel();
            s->setStyleSheet("background-image: url(:/images/icons/star_empty.png);background-repeat: no-repeat; border: none;");
            layout->addWidget (s);
        }
    }
    // if not rated show just empty icons
    else {
        for (i=0;i<5;i++) {
            QLabel *s = new QLabel();
            s->setStyleSheet("background-image: url(:/images/icons/star_empty.png);background-repeat: no-repeat; border: none;");
            layout->addWidget (s);
        }
    }
    this->setLayout(layout);

    //preconfigured settings
    this->setFixedSize (130,40);
    this->setStyleSheet( "color: #424345; background-color: none; border: none;");
}

void RatingLabel::setBackgroundColor (QString colorCode) {
    this->setStyleSheet( "background-color: "+colorCode+"; border: none;");
}
