#include "applicationcommentswidget.h"
#include "ui_applicationcommentswidget.h"
#include <QList>



ApplicationCommentsWidget::ApplicationCommentsWidget(MaemoApplicationDetails *app, QWidget *parent) :
    QWidget(parent),
    m_ui(new Ui::ApplicationCommentsWidget)
{
    m_ui->setupUi(this);
    m_ui->backgroundFrame->setStyleSheet ("background-color: black");
    m_ui->scrollArea->setProperty("FingerScrollBars", true);
    m_ui->scrollArea->setProperty("FingerScrollable", true);
    m_ui->scrollArea->setHorizontalScrollBarPolicy (Qt::ScrollBarAlwaysOff);
    m_ui->userFrame->setStyleSheet("background-color: black");
    m_ui->statusBarFrame->setStyleSheet ("background-image: url(:/images/background/bar.png);");
    m_ui->iconLabel->setStyleSheet ("background-image: url(:/images/icons/default-icon.png);background-repeat: no-repeat;");


    int i;
    QList <MaemoComment*>* comments = app->getUserComments();
    CommentItemWidget *comment;
    int height=10;
    for (i=0;i < comments->length(); i++) {
        comment = new CommentItemWidget (comments->at(i),m_ui->mainWidget);
        comment->setGeometry(5,height,comment->width(),comment->height());
        height += comment->height()+10;
    }
    m_ui->mainWidget->setStyleSheet ("background-color:black");
    m_ui->mainWidget->setFixedSize (570,height);
}

ApplicationCommentsWidget::~ApplicationCommentsWidget()
{
    delete m_ui;
}

void ApplicationCommentsWidget::changeEvent(QEvent *e)
{
    switch (e->type()) {
    case QEvent::LanguageChange:
        m_ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
