#ifndef MAINWINDOW_H
#define MAINWINDOW_H
#include "ApplicationList.h"
#include "subwindow.h"
#include "categorylistwidget.h"
#include <QtGui/QMainWindow>
#include <QList>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
    Q_DISABLE_COPY(MainWindow)
public:
    explicit MainWindow(QWidget *parent = 0);
    virtual ~MainWindow();



public slots:
    void sendSearchRequest ();
    void goHome();
    void goBackToList ();
    void removeUpperLayer();
    void addWidgetLayer(QWidget*,QString,QString);
    void setBreadCrumbs (QString,QString,bool setDefault=false);

private slots:
    void openApplicationsList(QListWidgetItem *);

//protected:
//    virtual void changeEvent(QEvent *e);

private:
    Ui::MainWindow *m_ui;
    QList <SubWindow*> *topWidgets;
    CategoryListWidget *categoryList;
    MaemoApplicationHandler *handler;
    QString DEFAULTBC1;
    QString DEFAULTBC2;

};

#endif // MAINWINDOW_H
